Skip to main content
GET
/
v3
/
logs
Query Logs
curl --request GET \
  --url https://api.fivemanage.com/api/v3/logs \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "body": "<string>",
      "level": "<string>",
      "metadata": {},
      "parentId": "<string>",
      "resource": "<string>",
      "timestamp": "<string>",
      "traceId": "<string>"
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fivemanage.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

dataset
string

Dataset name (alternative to X-Fivemanage-Dataset header)

level
string

Comma-separated log levels (e.g. error,warning)

resource
string

Filter by resource name

q
string

Free-text search across log body and metadata values

from
string

Start time (RFC 3339, e.g. 2024-01-01T00:00:00Z)

to
string

End time (RFC 3339, e.g. 2024-01-02T00:00:00Z)

limit
integer

Page size (default: 50, max: 100)

offset
integer

Offset for pagination (default: 0)

order
string

Sort direction on timestamp: asc or desc (default: desc)

Response

OK

data
object[]
pagination
object
status
string